
---------------------------
--Constants (used in GetTact() calls)
---------------------------
TACT_BASIC	= 1
TACT_SKILL	= 2
TACT_KITE	= 3
TACT_CAST	= 4 --Assume casts are offencive?
TACT_PUSHBACK	= 5
TACT_DEBUFF	= 6


---------------------------
--Tactics (responce to monster)
---------------------------
TACT_IGNORE	= 0	-- Do not attack the monster 
TACT_ATTACK_L	= 2	----
TACT_ATTACK_M	= 3	--Attack when HP > AggroHP
TACT_ATTACK_H	= 4	----
TACT_REACT_L	= 5	----
TACT_REACT_M	= 6	--Defend when attacked only
TACT_REACT_H	= 7	----
TACT_REACT_SELF = 9	--React only when attacked, not when owner attacked.


---------------------------
--Tactics (skill use)
--In tact lists, put another number in this field 
---------------------------

SKILL_NEVER	=0
SKILL_ALWAYS	=-1

---------------------------
--Tactics (Kiting)
---------------------------

KITE_ALWAYS	= 2
KITE_REACT	= 1
KITE_NEVER	= 0

---------------------------
--Tactics (Cast react)
---------------------------

CAST_REACT	= 1
CAST_PASSIVE	= 0

---------------------------
--Tactics (Pushback)
---------------------------

PUSH_ALWAYS	= 2
PUSH_REACT	= 1
PUSH_NEVER	= 0

---------------------------
--Tactics (Debuffs)
---------------------------

DEBUFF_NEVER 	=0 -- To use Debuff skill, use the skill as the debuff field of the tactlist.